Subject: Re: [PATCH] powerpc: Fix 64 bits vDSO dwarf info for CR register

From: Jakub Jelinek <[email-masked]>
Date: Wed, 17 Oct 2007 09:50:55 -0400

On Wed, Oct 17, 2007 at 02:26:50PM +1000, Benjamin Herrenschmidt wrote:
> Unfortunately, a bug in gcc cause it to not quite work either, but that
> is being fixed separately with something around the lines of:
> 
> linux-unwind.h:
> 
>      fs->regs.reg[R_CR2].loc.offset = (long) &regs->ccr - new_cfa;
> +    /* CR? regs are just 32-bit and PPC is big-endian.  */
> +    fs->regs.reg[R_CR2].loc.offset += sizeof (long) - 4;

Small correction.  If vdso is present, then fixing the vdso is all that is
needed, the above mentioned code is used only if the vdso is not present
(or if glibc doesn't support the vdso).

	Jakub